--- old/usr/src/uts/Makefile.uts	Tue Apr  9 16:34:06 2019
+++ new/usr/src/uts/Makefile.uts	Tue Apr  9 16:34:06 2019
@@ -236,6 +236,12 @@
 #
 SMOFF += sizeof
 
+#
+# DEBUG-only macros that define away to nothing confuse this check,
+# unfortunately.
+#
+$(RELEASE_BUILD)SMOFF += indenting
+
 CSTD = $(CSTD_GNU99)
 
 CFLAGS_uts		=
--- old/usr/src/uts/common/io/comstar/port/srpt/srpt_impl.h	Tue Apr  9 16:34:07 2019
+++ new/usr/src/uts/common/io/comstar/port/srpt/srpt_impl.h	Tue Apr  9 16:34:07 2019
@@ -23,6 +23,10 @@
  * Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _SRPT_IMPL_H_
 #define	_SRPT_IMPL_H_
 
@@ -92,7 +96,7 @@
  * by a login.
  */
 typedef struct srpt_session_s {
-	krwlock_t 			ss_rwlock;
+	krwlock_t			ss_rwlock;
 	list_node_t			ss_node;
 
 	/*
@@ -167,7 +171,7 @@
 } srpt_channel_state_t;
 
 typedef struct srpt_channel_s {
-	krwlock_t 			ch_rwlock;
+	krwlock_t			ch_rwlock;
 
 	kmutex_t			ch_reflock;
 	uint_t				ch_refcnt;
@@ -322,7 +326,7 @@
 typedef struct srpt_ioc_s {
 	list_node_t			ioc_node;
 
-	krwlock_t 			ioc_rwlock;
+	krwlock_t			ioc_rwlock;
 	ibt_hca_hdl_t			ioc_ibt_hdl;
 	ibt_hca_attr_t			ioc_attr;
 	ib_guid_t			ioc_guid;
@@ -518,8 +522,8 @@
 					cmn_err(CE_NOTE, __VA_ARGS__);\
 				}
 #else
-#define	SRPT_DPRINTF_L3		0 &&
-#define	SRPT_DPRINTF_L4		0 &&
+#define	SRPT_DPRINTF_L3(...)
+#define	SRPT_DPRINTF_L4(...)
 #endif
 
 #ifdef __cplusplus
--- old/usr/src/uts/common/io/pciex/pcieb.h	Tue Apr  9 16:34:08 2019
+++ new/usr/src/uts/common/io/pciex/pcieb.h	Tue Apr  9 16:34:08 2019
@@ -22,6 +22,10 @@
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _SYS_PCIEB_H
 #define	_SYS_PCIEB_H
 
@@ -33,7 +37,7 @@
 #define	PCIEB_DEBUG pcieb_dbg
 extern void pcieb_dbg(uint_t bit, dev_info_t *dip, char *fmt, ...);
 #else /* DEBUG */
-#define	PCIEB_DEBUG 0 &&
+#define	PCIEB_DEBUG(...)
 #endif /* DEBUG */
 
 typedef enum {	/* same sequence as pcieb_debug_sym[] */
@@ -160,12 +164,12 @@
 extern void	pcieb_set_pci_perf_parameters(dev_info_t *dip,
 		    ddi_acc_handle_t config_handle);
 extern void	pcieb_plat_attach_workaround(dev_info_t *dip);
-extern void 	pcieb_plat_intr_attach(pcieb_devstate_t *pcieb);
-extern void 	pcieb_plat_initchild(dev_info_t *child);
-extern void 	pcieb_plat_uninitchild(dev_info_t *child);
+extern void	pcieb_plat_intr_attach(pcieb_devstate_t *pcieb);
+extern void	pcieb_plat_initchild(dev_info_t *child);
+extern void	pcieb_plat_uninitchild(dev_info_t *child);
 extern int	pcieb_plat_ctlops(dev_info_t *rdip, ddi_ctl_enum_t ctlop,
     void *arg);
-extern int 	pcieb_plat_pcishpc_probe(dev_info_t *dip,
+extern int	pcieb_plat_pcishpc_probe(dev_info_t *dip,
     ddi_acc_handle_t config_handle);
 extern int	pcieb_plat_peekpoke(dev_info_t *dip, dev_info_t *rdip,
     ddi_ctl_enum_t ctlop, void *arg, void *result);
--- old/usr/src/uts/common/sys/ib/clients/eoib/eib_impl.h	Tue Apr  9 16:34:09 2019
+++ new/usr/src/uts/common/sys/ib/clients/eoib/eib_impl.h	Tue Apr  9 16:34:09 2019
@@ -23,6 +23,10 @@
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _SYS_IB_EOIB_EIB_IMPL_H
 #define	_SYS_IB_EOIB_EIB_IMPL_H
 
@@ -88,10 +92,10 @@
 #define	EIB_DPRINTF_PKT		eib_dprintf_pkt
 #define	EIB_DPRINTF_VERBOSE	eib_dprintf_verbose
 #else
-#define	EIB_DPRINTF_DEBUG	0 &&
-#define	EIB_DPRINTF_ARGS	0 &&
-#define	EIB_DPRINTF_PKT		0 &&
-#define	EIB_DPRINTF_VERBOSE	0 &&
+#define	EIB_DPRINTF_DEBUG(...)
+#define	EIB_DPRINTF_ARGS(...)
+#define	EIB_DPRINTF_PKT(...)
+#define	EIB_DPRINTF_VERBOSE(...)
 #endif
 
 /*
--- old/usr/src/uts/common/sys/ib/clients/eoib/enx_impl.h	Tue Apr  9 16:34:10 2019
+++ new/usr/src/uts/common/sys/ib/clients/eoib/enx_impl.h	Tue Apr  9 16:34:10 2019
@@ -23,6 +23,10 @@
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _SYS_IB_EOIB_ENX_IMPL_H
 #define	_SYS_IB_EOIB_ENX_IMPL_H
 
@@ -71,9 +75,9 @@
 #define	ENX_DPRINTF_ARGS	eibnx_dprintf_args
 #define	ENX_DPRINTF_VERBOSE	eibnx_dprintf_verbose
 #else
-#define	ENX_DPRINTF_DEBUG	0 &&
-#define	ENX_DPRINTF_ARGS	0 &&
-#define	ENX_DPRINTF_VERBOSE	0 &&
+#define	ENX_DPRINTF_DEBUG(...)
+#define	ENX_DPRINTF_ARGS(...)
+#define	ENX_DPRINTF_VERBOSE(...)
 #endif
 
 /*
@@ -93,7 +97,7 @@
  * Portinfo list per HCA
  */
 typedef struct eibnx_port_s {
-	struct eibnx_port_s 	*po_next;
+	struct eibnx_port_s	*po_next;
 	ibt_hca_portinfo_t	*po_pi;
 	uint_t			po_pi_size;
 } eibnx_port_t;
@@ -102,7 +106,7 @@
  * HCA details
  */
 typedef struct eibnx_hca_s {
-	struct eibnx_hca_s 	*hc_next;
+	struct eibnx_hca_s	*hc_next;
 	ib_guid_t		hc_guid;
 	ibt_hca_hdl_t		hc_hdl;
 	ibt_pd_hdl_t		hc_pd;
--- old/usr/src/uts/common/sys/ib/clients/rds/rdsib_debug.h	Tue Apr  9 16:34:11 2019
+++ new/usr/src/uts/common/sys/ib/clients/rds/rdsib_debug.h	Tue Apr  9 16:34:11 2019
@@ -23,11 +23,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _RDSIB_DEBUG_H
 #define	_RDSIB_DEBUG_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef __cplusplus
 extern "C" {
 #endif
@@ -99,10 +101,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	RDS_DPRINTF_INTR	0 &&
-#define	RDS_DPRINTF5		0 &&
-#define	RDS_DPRINTF4		0 &&
-#define	RDS_DPRINTF3		0 &&
+#define	RDS_DPRINTF_INTR(...)
+#define	RDS_DPRINTF5(...)
+#define	RDS_DPRINTF4(...)
+#define	RDS_DPRINTF3(...)
 #endif
 
 #define	RDS_DPRINTF2	rds_dprintf2
--- old/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_debug.h	Tue Apr  9 16:34:11 2019
+++ new/usr/src/uts/common/sys/ib/clients/rdsv3/rdsv3_debug.h	Tue Apr  9 16:34:11 2019
@@ -22,6 +22,10 @@
  * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef _RDSV3_DEBUG_H
 #define	_RDSV3_DEBUG_H
 
@@ -96,10 +100,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	RDSV3_DPRINTF_INTR	0 &&
-#define	RDSV3_DPRINTF5		0 &&
-#define	RDSV3_DPRINTF4		0 &&
-#define	RDSV3_DPRINTF3		0 &&
+#define	RDSV3_DPRINTF_INTR(...)
+#define	RDSV3_DPRINTF5(...)
+#define	RDSV3_DPRINTF4(...)
+#define	RDSV3_DPRINTF3(...)
 #endif
 
 #define	RDSV3_DPRINTF2		rdsv3_dprintf2
--- old/usr/src/uts/common/sys/ib/ibtl/impl/ibtl_util.h	Tue Apr  9 16:34:11 2019
+++ new/usr/src/uts/common/sys/ib/ibtl/impl/ibtl_util.h	Tue Apr  9 16:34:11 2019
@@ -24,11 +24,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef	_SYS_IB_IBTL_IMPL_IBTL_UTIL_H
 #define	_SYS_IB_IBTL_IMPL_IBTL_UTIL_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * ibtl_util.h
  *
@@ -131,10 +133,10 @@
 		char		*name,
 		char		*fmt, ...);
 #else
-#define	IBTF_DPRINTF_LINTR	0 &&
-#define	IBTF_DPRINTF_L5		0 &&
-#define	IBTF_DPRINTF_L4		0 &&
-#define	IBTF_DPRINTF_L3		0 &&
+#define	IBTF_DPRINTF_LINTR(...)
+#define	IBTF_DPRINTF_L5(...)
+#define	IBTF_DPRINTF_L4(...)
+#define	IBTF_DPRINTF_L3(...)
 #endif
 
 #define	IBTF_DPRINTF_L2	ibtl_dprintf2
--- old/usr/src/uts/common/sys/pcie_impl.h	Tue Apr  9 16:34:12 2019
+++ new/usr/src/uts/common/sys/pcie_impl.h	Tue Apr  9 16:34:12 2019
@@ -22,6 +22,10 @@
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
+/*
+ * Copyright 2019, Joyent, Inc.
+ */
+
 #ifndef	_SYS_PCIE_IMPL_H
 #define	_SYS_PCIE_IMPL_H
 
@@ -491,11 +495,11 @@
 
 #else	/* DEBUG */
 
-#define	PCIE_DBG_CFG 0 &&
-#define	PCIE_DBG 0 &&
-#define	PCIE_ARI_DBG 0 &&
-#define	PCIE_DBG_CAP 0 &&
-#define	PCIE_DBG_AER 0 &&
+#define	PCIE_DBG_CFG(...)
+#define	PCIE_DBG(...)
+#define	PCIE_ARI_DBG(...)
+#define	PCIE_DBG_CAP(...)
+#define	PCIE_DBG_AER(...)
 
 #endif	/* DEBUG */
 
--- old/usr/src/uts/common/sys/usb/scsa2usb/scsa2usb.h	Tue Apr  9 16:34:12 2019
+++ new/usr/src/uts/common/sys/usb/scsa2usb/scsa2usb.h	Tue Apr  9 16:34:12 2019
@@ -21,7 +21,7 @@
  * Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
- * Copyright 2016 Joyent, Inc.
+ * Copyright 2019, Joyent, Inc.
  */
 
 #ifndef _SYS_USB_SCSA2USB_H
@@ -183,7 +183,7 @@
  * SCSA2USB_ATTRS_NO_MEDIA_CHECK: AMI Virtual Floppy devices need to
  *		check if media is ready before issuing READ CAPACITY.
  * SCSA2USB_ATTRS_NO_CAP_ADJUST: Some devices return total logical block number
- * 		instead of highest logical block address on READ_CAPACITY cmd.
+ *		instead of highest logical block address on READ_CAPACITY cmd.
  *
  * NOTE: If a device simply STALLs the GET_MAX_LUN BO class-specific command
  * and recovers then it will not be added to the scsa2usb_blacklist[] table
@@ -280,7 +280,7 @@
 typedef struct scsa2usb_state {
 	int			scsa2usb_instance;	/* Instance number    */
 	int			scsa2usb_dev_state;	/* USB device state   */
-	int			scsa2usb_flags; 	/* Per instance flags */
+	int			scsa2usb_flags;		/* Per instance flags */
 	int			scsa2usb_intfc_num;	/* Interface number   */
 	dev_info_t		*scsa2usb_dip;		/* Per device. info   */
 	scsa2usb_power_t	*scsa2usb_pm;		/* PM state info */
@@ -539,7 +539,7 @@
 	int			cmd_timeout;		/* copy of pkt_time */
 	uchar_t			cmd_cdb[SCSI_CDB_SIZE];	/* CDB */
 	uchar_t			cmd_dir;		/* direction */
-	uchar_t			cmd_actual_len; 	/* cdb len */
+	uchar_t			cmd_actual_len;		/* cdb len */
 	uchar_t			cmd_cdblen;		/* requested  cdb len */
 	struct scsi_arq_status	cmd_scb;		/* status, w/ arq */
 
@@ -655,7 +655,7 @@
 #ifdef	DEBUG
 #define	SCSA2USB_PRINT_CDB	scsa2usb_print_cdb
 #else
-#define	SCSA2USB_PRINT_CDB	0 &&
+#define	SCSA2USB_PRINT_CDB(...)
 #endif
 
 /* ugen support */
